nRF51 SDK: Device Information Service

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Macros | Functions
Device Information Service
BLE Services

Device Information Service module. More...

## Data Structures

struct | ble_dis_sys_id_t
| System ID parameters. More...
struct | ble_dis_reg_cert_data_list_t
| IEEE 11073-20601 Regulatory Certification Data List Structure. More...
struct | ble_dis_pnp_id_t
| PnP ID parameters. More...
struct | ble_dis_init_t
| Device Information Service init structure. This contains all possible characteristics needed for initialization of the service. More...

## Macros

#define | BLE_DIS_VENDOR_ID_SRC_BLUETOOTH_SIG 1
#define | BLE_DIS_VENDOR_ID_SRC_USB_IMPL_FORUM 2

## Functions

uint32_t | ble_dis_init (const ble_dis_init_t *p_dis_init)
| Function for initializing the Device Information Service. More...

## Detailed Description

Device Information Service module.

This module implements the Device Information Service. During initialization it adds the Device Information Service to the BLE stack database. It then encodes the supplied information, and adds the curresponding characteristics.

Note
  Attention! To maintain compliance with Nordic Semiconductor ASA Bluetooth profile qualification listings, this section of source code must not be modified.

## Macro Definition Documentation

#define BLE_DIS_VENDOR_ID_SRC_BLUETOOTH_SIG 1

Vendor ID assigned by Bluetooth SIG.

#define BLE_DIS_VENDOR_ID_SRC_USB_IMPL_FORUM 2

Vendor ID assigned by USB Implementer's Forum.

## Function Documentation

uint32_t ble_dis_init | ( | const ble_dis_init_t * | p_dis_init | ) |

Function for initializing the Device Information Service.

This call allows the application to initialize the device information service. It adds the DIS service and DIS characteristics to the database, using the initial values supplied through the p_dis_init parameter. Characteristics which are not to be added, shall be set to NULL in p_dis_init.

Parameters

  [in] | p_dis_init | The structure containing the values of characteristics needed by the service.

Returns
  NRF_SUCCESS on successful initialization of service.